=== debian/changelog ===
qflow (1.1.23-1) unstable; urgency=medium

  * New upstream release

 -- Ruben Undheim <ruben.undheim@gmail.com>  Sun, 29 Nov 2015 20:30:53 +0100

qflow (1.1.21-1) unstable; urgency=low

  * New upstream release
    - Refreshed patches

 -- Ruben Undheim <ruben.undheim@gmail.com>  Mon, 16 Nov 2015 19:12:14 +0100

qflow (1.1.13-2) unstable; urgency=medium

  * Added patch debian/patches/yosys_version_number_minor.patch:
    - Make sure qflow works with the new git HEAD version of yosys

 -- Ruben Undheim <ruben.undheim@gmail.com>  Sun, 11 Oct 2015 23:08:55 +0200

qflow (1.1.13-1) unstable; urgency=low

  * New upstream release
  * debian/man/qflow.txt:
    - Added much more detailed info to man page.

 -- Ruben Undheim <ruben.undheim@gmail.com>  Sun, 11 Oct 2015 00:02:24 +0200

qflow (1.1.9-1) unstable; urgency=low

  * Initial release (Closes: #761368)

 -- Ruben Undheim <ruben.undheim@gmail.com>  Sat, 25 Jul 2015 16:01:03 +0200
