=== debian/control ===
Source: qflow
Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
Uploaders: Ruben Undheim <ruben.undheim@gmail.com>
Section: electronics
Priority: optional
Build-Depends: debhelper (>= 9),
               autotools-dev,
               dh-autoreconf,
               yosys,
               graywolf,
               qrouter,
               magic
Standards-Version: 3.9.6
Vcs-Browser: https://anonscm.debian.org/cgit/debian-science/packages/qflow.git
Vcs-Git: git://anonscm.debian.org/debian-science/packages/qflow.git
Homepage: http://opencircuitdesign.com/qflow/

Package: qflow
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends},
         yosys,
         berkeley-abc,
         graywolf,
         qrouter,
         magic,
         tcsh,
         tcl
Recommends: qflow-tech-osu018,
            qflow-tech-osu035,
            qflow-tech-osu050
Description: Open-Source Digital Synthesis Flow
 This is a complete tool chain for synthesizing digital circuits starting
 from verilog source and ending in physical layout for a specific target
 fabrication process. In the world of commercial electronics, digital
 synthesis with a target application of a chip design is usually bundled
 into large EDA software systems. As commercial electronics designers need
 to maintain cutting-edge performance, these commercial toolchains get more
 and more expensive, and have largely priced themselves out of all but the
 established integrated circuit manufacturers. This leaves an unfortunate
 gap where startup companies and small businesses cannot afford to do any
 sort of integrated circuit design.
 .
 Qflow tries to fill this gap.

Package: qflow-tech-osu018
Architecture: all
Depends: ${misc:Depends},
         qflow,
         tcsh
Description: Technology files needed for qflow for osu018
 Qflow is an open-source digital synthesis flow.
 .
 This package only contains the technology files needed for qflow.
 (osu018)

Package: qflow-tech-osu035
Architecture: all
Depends: ${misc:Depends},
         qflow,
         tcsh
Description: Technology files needed for qflow for osu035
 Qflow is an open-source digital synthesis flow.
 .
 This package only contains the technology files needed for qflow.
 (osu035)

Package: qflow-tech-osu050
Architecture: all
Depends: ${misc:Depends},
         qflow,
         tcsh
Description: Technology files needed for qflow for osu050
 Qflow is an open-source digital synthesis flow.
 .
 This package only contains the technology files needed for qflow.
 (osu050)
