=== debian/changelog ===
qflow (1.1.31-1) unstable; urgency=medium

  * New upstream release
  * debian/control:
    - Standards version 3.9.7 - no required changes
    - Vcs-Git now using https
  * debian/patches:
    - Refreshed patches

 -- Ruben Undheim <ruben.undheim@gmail.com>  Wed, 13 Apr 2016 20:35:54 +0200
