=== debian/control ===
--- 
+++ 
@@ -10,9 +10,9 @@
                graywolf,
                qrouter,
                magic
-Standards-Version: 3.9.6
+Standards-Version: 3.9.7
 Vcs-Browser: https://anonscm.debian.org/cgit/debian-science/packages/qflow.git
-Vcs-Git: git://anonscm.debian.org/debian-science/packages/qflow.git
+Vcs-Git: https://anonscm.debian.org/git/debian-science/packages/qflow.git
 Homepage: http://opencircuitdesign.com/qflow/
 
 Package: qflow
