## qflow 1.1.37

=== scripts/Makefile ===
--- 
+++ 
@@ -10,7 +10,7 @@
 INSTALL = /bin/install -c
 
 VERSION = 1.1
-REVISION = 22
+REVISION = 33
 
 QFLOW_LIB_DIR = /usr/local/share/qflow
 QFLOW_BIN_DIR = /usr/local/bin
@@ -21,7 +21,7 @@
 TCL_SCRIPTS = blif2cel.tcl place2def.tcl place2lef2.tcl
 TCL_SCRIPTS += place2net2.tcl ypostproc.tcl ybuffer.tcl
 TCL_SCRIPTS += decongest.tcl addspacers.tcl getfillcell.tcl
-TCL_SCRIPTS += blifanno.tcl
+TCL_SCRIPTS += blifanno.tcl powerbus.tcl
 SHELL_SCRIPTS = synthesize.sh placement.sh router.sh vesta.sh
 SHELL_SCRIPTS += qflow.sh checkdirs.sh
 SHELL_SCRIPTS += cleanup.sh display.sh createGDS.sh
@@ -73,6 +73,9 @@
 decongest.tcl: decongest.tcl.in
 	sed -e 's#TCLSH_PATH#$(TCLSH_PATH)#' decongest.tcl.in > $@
 
+powerbus.tcl: powerbus.tcl.in
+	sed -e 's#TCLSH_PATH#$(TCLSH_PATH)#' powerbus.tcl.in > $@
+
 addspacers.tcl: addspacers.tcl.in
 	sed -e 's#TCLSH_PATH#$(TCLSH_PATH)#' addspacers.tcl.in > $@
