=== src/Makefile ===
--- 
+++ 
@@ -21,7 +21,7 @@
 HAVE_YOSYS = 1
 HAVE_ODIN_II = @HAVE_ODIN_II@
 
-OBJECTS = blif2BSpice.o blif2Verilog.o blifFanout.o vesta.o
+OBJECTS = blif2BSpice.o blif2Verilog.o blifFanout.o vesta.o spice2delay.o
 HASHLIB = hash.o
 LIBERTYLIB = readliberty.o
 SOURCES := $(patsubst %.o,%.c,$(OBJECTS))
@@ -43,6 +43,9 @@
 
 vesta$(EXEEXT): vesta.o $(HASHLIB)
 	$(CC) $(LDFLAGS) vesta.o $(HASHLIB) -o $@ $(LIBS)
+
+spice2delay$(EXEEXT): spice2delay.o $(HASHLIB) $(LIBERTYLIB)
+	$(CC) $(LDFLAGS) spice2delay.o $(HASHLIB) $(LIBERTYLIB) -o $@ $(LIBS)
 
 install: $(TARGETS)
 	@echo "Installing verilog and BDNET file format handlers"
