=== tech/osu018/Makefile ===
--- 
+++ 
@@ -13,7 +13,7 @@
 
 TECH_FILES = osu018.par osu018_stdcells.lef osu018.sh
 TECH_FILES += osu018_stdcells.sp osu018.magicrc osu018.prm
-TECH_FILES += SCN6M_DEEP.09.tech osu018_stdcells.lib
+TECH_FILES += SCN6M_SUBM.10.tech osu018_stdcells.lib
 TECH_FILES += osu018_stdcells.v
 
 TECHINSTALL = ${QFLOW_LIB_DIR}/tech
