=== debian/changelog ===
qflow (1.1.37-1) unstable; urgency=medium

  * New upstream release
    - Refreshed patches
  * debian/control:
    - Standards version 3.9.8 - no changes

 -- Ruben Undheim <ruben.undheim@gmail.com>  Thu, 06 Oct 2016 18:38:30 +0200
