=== debian/control ===
--- 
+++ 
@@ -10,7 +10,7 @@
                graywolf,
                qrouter,
                magic
-Standards-Version: 3.9.7
+Standards-Version: 3.9.8
 Vcs-Browser: https://anonscm.debian.org/cgit/debian-science/packages/qflow.git
 Vcs-Git: https://anonscm.debian.org/git/debian-science/packages/qflow.git
 Homepage: http://opencircuitdesign.com/qflow/
