## qflow 1.1.58

=== debian/changelog ===
qflow (1.1.58-1) unstable; urgency=medium

  * New upstream release
  * Upload to unstable
  * Refreshed patches
  * debian/control:
    - New standards version 4.0.0 - no changes
    - Depend on python3
  * debian/patches/0005-Fix-shebang.patch:
    - Fixing shebang issue in a new Python script

 -- Ruben Undheim <ruben.undheim@gmail.com>  Thu, 13 Jul 2017 22:29:51 +0200

qflow (1.1.44-1~exp1) experimental; urgency=low

  * New upstream release
  * debian/copyright:
    - Added copyright info for some new files

 -- Ruben Undheim <ruben.undheim@gmail.com>  Fri, 17 Mar 2017 13:54:14 +0100
