=== debian/control ===
--- 
+++ 
@@ -10,7 +10,7 @@
                graywolf,
                qrouter,
                magic
-Standards-Version: 3.9.8
+Standards-Version: 4.0.0
 Vcs-Browser: https://anonscm.debian.org/cgit/debian-science/packages/qflow.git
 Vcs-Git: https://anonscm.debian.org/git/debian-science/packages/qflow.git
 Homepage: http://opencircuitdesign.com/qflow/
@@ -25,7 +25,8 @@
          qrouter,
          magic,
          tcsh,
-         tcl
+         tcl,
+         python3
 Recommends: qflow-tech-osu018,
             qflow-tech-osu035,
             qflow-tech-osu050
