=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

%:
	dh $@ --with autotools_dev,autoreconf

override_dh_clean:
	dh_clean
	$(RM) -r config.log config.status scripts/Makefile src/Makefile tech/Makefile
	$(RM) -r tech/osu018/Makefile tech/osu035/Makefile tech/osu050/Makefile
