=== debian/watch ===
version=3
http://opencircuitdesign.com/qflow/archive/qflow-(\d\S+)\.tgz
