## qflow 1.1.121+dfsg.1

=== debian/changelog ===
qflow (1.1.121+dfsg.1-2) unstable; urgency=medium

  * d/patches/0006-Cherry-pick-file-list-feature-from-development-minor.patch:
    - Support for file lists pointing to many source Verilog files.
      Cherry-picked from 1.2.x series
  * Fix spelling error in changelog

 -- Ruben Undheim <ruben.undheim@gmail.com>  Sun, 14 Oct 2018 10:00:09 +0200

qflow (1.1.121+dfsg.1-1) unstable; urgency=medium

  * New upstream release
  * Bump debhelper to 11
  * debian/control:
    - New standards version 4.2.1 - no changes
    - Remove unnecessary build-dependencies
    - Vcs URL updated to salsa
    - Recommends: python3-tk
    - Suggests: netgen-lvs - not yet in Debian
  * debian/copyright:
    - Update copyright years for upstream
    - Exclude some files which may not be DFSG compliant when repackaging.
    - Use https URL for format field
  * debian/patches: Refreshed all patches
  * debian/patches/0005-Remove-references-to-excluded-files.patch:
    - Remove all references to excluded files during repackaging
  * debian/patches/01_fix_install_dir.patch:
    - Adapt new scripts to the Debian specific location of files
  * debian/patches/fix_tcsh_path.patch:
    - Fix tcsh patch for one more script
  * debian/source.lintian-overrides removed
  * debian/qflow.docs: Install qflow_help.txt
  * debian/qflow.links: Link to /usr/bin/netgen-lvs
  * debian/rules:
    - Remove '--with autotools_dev'
    - Ensure dh_clean properly cleans up
    - Do not install qflow_help.txt in scripts directory
  * debian/tests:
    - Added simple autopkgtest for checking if 'qflow -h' can be run
  * debian/watch:
    - Mangle +dfsg
    - Only look for releases with stable minor number (1.1.x)

 -- Ruben Undheim <ruben.undheim@gmail.com>  Sun, 23 Sep 2018 11:00:52 +0200
