=== debian/control ===
--- 
+++ 
@@ -3,16 +3,14 @@
 Uploaders: Ruben Undheim <ruben.undheim@gmail.com>
 Section: electronics
 Priority: optional
-Build-Depends: debhelper (>= 9),
-               autotools-dev,
-               dh-autoreconf,
+Build-Depends: debhelper (>= 11),
                yosys,
                graywolf,
                qrouter,
                magic
-Standards-Version: 4.0.0
-Vcs-Browser: https://anonscm.debian.org/cgit/debian-science/packages/qflow.git
-Vcs-Git: https://anonscm.debian.org/git/debian-science/packages/qflow.git
+Standards-Version: 4.2.1
+Vcs-Browser: https://salsa.debian.org/science-team/qflow
+Vcs-Git: https://salsa.debian.org/science-team/qflow.git
 Homepage: http://opencircuitdesign.com/qflow/
 
 Package: qflow
@@ -27,9 +25,11 @@
          tcsh,
          tcl,
          python3
-Recommends: qflow-tech-osu018,
+Recommends: python3-tk,
+            qflow-tech-osu018,
             qflow-tech-osu035,
             qflow-tech-osu050
+Suggests: netgen-lvs
 Description: Open-Source Digital Synthesis Flow
  This is a complete tool chain for synthesizing digital circuits starting
  from verilog source and ending in physical layout for a specific target
