## qflow 1.3.12+dfsg.1

=== debian/changelog ===
qflow (1.3.12+dfsg.1-1~exp1) experimental; urgency=medium

  * New upstream release
  * debian/control:
    - New standards version 4.3.0 - no changes

 -- Ruben Undheim <ruben.undheim@gmail.com>  Sat, 16 Mar 2019 11:43:48 +0100
