=== debian/control ===
--- 
+++ 
@@ -8,7 +8,7 @@
                graywolf,
                qrouter,
                magic
-Standards-Version: 4.2.1
+Standards-Version: 4.3.0
 Vcs-Browser: https://salsa.debian.org/science-team/qflow
 Vcs-Git: https://salsa.debian.org/science-team/qflow.git
 Homepage: http://opencircuitdesign.com/qflow/
@@ -24,12 +24,12 @@
          magic,
          tcsh,
          tcl,
+         netgen-lvs,
          python3
 Recommends: python3-tk,
             qflow-tech-osu018,
             qflow-tech-osu035,
             qflow-tech-osu050
-Suggests: netgen-lvs
 Description: Open-Source Digital Synthesis Flow
  This is a complete tool chain for synthesizing digital circuits starting
  from verilog source and ending in physical layout for a specific target
