## qflow 1.3.17%2Bdfsg.1

=== debian/rules ===
--- 
+++ 
@@ -14,6 +14,8 @@
 	dh_clean
 	$(RM) -r scripts/Makefile src/Makefile tech/Makefile config.log config.status Makefile
 	$(RM) -r tech/osu018/Makefile tech/osu035/Makefile tech/osu050/Makefile
+	$(RM) -r tech/osu035_redm4/Makefile tech/osu035_redm4/osu035_redm4.magicrc
+
 
 override_dh_auto_install:
 	dh_auto_install
