=== debian/changelog ===
qflow (1.3.17+dfsg.1-2) unstable; urgency=low

  * debian/control:
    - Build-depend and install depend on opensta
  * d/patches/0007-Compatible-with-newer-opensta-version.patch
    - Patch opensta.sh wrapper script such that it works with current OpenSTA
      version in Debian.

 -- Ruben Undheim <ruben.undheim@gmail.com>  Mon, 11 Nov 2019 23:11:40 +0100

qflow (1.3.17+dfsg.1-1) unstable; urgency=medium

  * Upload to sid
  * New upstream release
  * debian/control:
    - New standards version 4.4.1 - no changes
    - Use debhelper-compat build-dependency instead of debian/compat file
    - DH level 12

 -- Ruben Undheim <ruben.undheim@gmail.com>  Sat, 19 Oct 2019 11:10:52 +0200
