=== debian/control ===
--- 
+++ 
@@ -3,12 +3,13 @@
 Uploaders: Ruben Undheim <ruben.undheim@gmail.com>
 Section: electronics
 Priority: optional
-Build-Depends: debhelper (>= 11),
+Build-Depends: debhelper-compat (= 12),
                yosys,
                graywolf,
                qrouter,
+               opensta,
                magic
-Standards-Version: 4.3.0
+Standards-Version: 4.4.1
 Vcs-Browser: https://salsa.debian.org/science-team/qflow
 Vcs-Git: https://salsa.debian.org/science-team/qflow.git
 Homepage: http://opencircuitdesign.com/qflow/
@@ -25,11 +26,12 @@
          tcsh,
          tcl,
          netgen-lvs,
+         opensta,
          python3
 Recommends: python3-tk,
-            qflow-tech-osu018,
-            qflow-tech-osu035,
-            qflow-tech-osu050
+            qflow-tech-osu018 (= ${source:Version}),
+            qflow-tech-osu035 (= ${source:Version}),
+            qflow-tech-osu050 (= ${source:Version})
 Description: Open-Source Digital Synthesis Flow
  This is a complete tool chain for synthesizing digital circuits starting
  from verilog source and ending in physical layout for a specific target
